Package be.e_contract.ejsf.behavior.clipboard

# Class CopyToClipboardClientBehaviorRenderer

java.lang.Object
javax.faces.render.ClientBehaviorRenderer
be.e_contract.ejsf.behavior.clipboard.CopyToClipboardClientBehaviorRenderer

public class CopyToClipboardClientBehaviorRenderer extends javax.faces.render.ClientBehaviorRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RENDERER_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`CopyToClipboardClientBehaviorRenderer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, javax.faces.component.behavior.ClientBehavior clientBehavior)`

### Methods inherited from class javax.faces.render.ClientBehaviorRenderer

`decode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RENDERER_TYPE

public static final String RENDERER_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### CopyToClipboardClientBehaviorRenderer

public CopyToClipboardClientBehaviorRenderer()

## Method Details

### getScript

public String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, javax.faces.component.behavior.ClientBehavior clientBehavior)

Overrides:
  `getScript` in class `javax.faces.render.ClientBehaviorRenderer`